<template>
  <div class="dibs--form--row" :style="{ gridTemplateColumns: columnTemplate }">
    <slot></slot>
  </div>
</template>
<script>
export default {
  props: {
    elementCount: {
      type: [Number],
      default: 1,
    },
    hasEnding: {
      type: [Boolean],
      default: false,
    },
  },
  data() {
    return {
      columnTemplate: "",
    };
  },
  mounted() {
    let columnTemplate = `repeat(${this.elementCount}, 1fr)`;
    if (this.hasEnding) {
      columnTemplate = `${columnTemplate} auto`;
    }

    this.columnTemplate = columnTemplate;
  },
};
</script>
